# Uses of Interface
org.apache.sling.api.resource.ResourceResolver

Packages that use ResourceResolver
Package
Description
org.apache.sling.api
org.apache.sling.api.resource
org.apache.sling.api.scripting
org.apache.sling.api.security
org.apache.sling.api.servlets
org.apache.sling.api.uri
org.apache.sling.api.wrappers
org.apache.sling.spi.resource.provider

## Uses of ResourceResolver in org.apache.sling.api

Methods in org.apache.sling.api that return ResourceResolver
Modifier and Type
Method
Description
`@NotNull ResourceResolver`
SlingHttpServletRequest.`getResourceResolver()`
Deprecated.
Returns the `ResourceResolver` which resolved the `resource` of this request.
`@NotNull ResourceResolver`
SlingJakartaHttpServletRequest.`getResourceResolver()`
Returns the `ResourceResolver` which resolved the `resource` of this request.

## Uses of ResourceResolver in org.apache.sling.api.resource

Methods in org.apache.sling.api.resource that return ResourceResolver
Modifier and Type
Method
Description
`@NotNull ResourceResolver`
ResourceResolver.`clone(Map<String,Object> authenticationInfo)`
Returns a new `ResourceResolver` instance based on the given `authenticationInfo` map and the original authentication info used to create this instance.
`@NotNull ResourceResolver`
ResourceResolverFactory.`getAdministrativeResourceResolver(Map<String,Object> authenticationInfo)`
Deprecated.
as of 2.4 (bundle version 2.5.0) because of inherent security issues.
`@NotNull ResourceResolver`
Resource.`getResourceResolver()`
Returns the `ResourceResolver` from which this resource has been retrieved.
`@NotNull ResourceResolver`
ResourceResolverFactory.`getResourceResolver(Map<String,Object> authenticationInfo)`
Returns a new `ResourceResolver` instance with further configuration taken from the given `authenticationInfo` map.
`@NotNull ResourceResolver`
ResourceWrapper.`getResourceResolver()`
Returns the value of calling `getResourceResolver` on the `wrapped resource`.
`@NotNull ResourceResolver`
SyntheticResource.`getResourceResolver()`
Returns the `ResourceResolver` with which this synthetic resource is related or `null` if none.
`@NotNull ResourceResolver`
ResourceResolverFactory.`getServiceResourceResolver(Map<String,Object> authenticationInfo)`
Returns a new `ResourceResolver` instance with privileges assigned to the service provided by the calling bundle.
`@Nullable ResourceResolver`
ResourceResolverFactory.`getThreadResourceResolver()`
Returns the `ResourceResolver` for the current thread.
Methods in org.apache.sling.api.resource with parameters of type ResourceResolver
Modifier and Type
Method
Description
`void`
ModifyingResourceProvider.`commit(ResourceResolver resolver)`
Deprecated.
Commit all transient changes: create, delete and updates
`Resource`
ModifyingResourceProvider.`create(ResourceResolver resolver, String path, Map<String,Object> properties)`
Deprecated.
Create a new resource at the given path.
`void`
ModifyingResourceProvider.`delete(ResourceResolver resolver, String path)`
Deprecated.
Delete the resource at the given path.
`Iterator<Resource>`
QueriableResourceProvider.`findResources(ResourceResolver resolver, String query, String language)`
Deprecated.
Searches for resources using the given query formulated in the given language.
`Object`
AttributableResourceProvider.`getAttribute(ResourceResolver resolver, String name)`
Deprecated.
Returns the value of the given resource provider attribute or `null` if the attribute is not set or not visible (as e.g.
`Collection<String>`
AttributableResourceProvider.`getAttributeNames(ResourceResolver resolver)`
Deprecated.
Returns a collection of attribute names whose value can be retrieved calling the `AttributableResourceProvider.getAttribute(ResourceResolver, String)` method.
`static @NotNull Resource`
ResourceUtil.`getOrCreateResource(@NotNull ResourceResolver resolver, @NotNull String path, String resourceType, String intermediateResourceType, boolean autoCommit)`
Creates or gets the resource at the given path.
`static @NotNull Resource`
ResourceUtil.`getOrCreateResource(@NotNull ResourceResolver resolver, @NotNull String path, Map<String,Object> resourceProperties, String intermediateResourceType, boolean autoCommit)`
Creates or gets the resource at the given path.
`@Nullable Resource`
ParametrizableResourceProvider.`getResource(@NotNull ResourceResolver resourceResolver, @NotNull String path, @NotNull Map<String,String> parameters)`
Deprecated.
Returns a resource from this resource provider or `null` if the resource provider cannot find it.
`@Nullable Resource`
ResourceProvider.`getResource(@NotNull ResourceResolver resourceResolver, @NotNull String path)`
Deprecated.
Returns a resource from this resource provider or `null` if the resource provider cannot find it.
`@Nullable Resource`
ResourceProvider.`getResource(@NotNull ResourceResolver resourceResolver, @NotNull javax.servlet.http.HttpServletRequest request, @NotNull String path)`
Deprecated.
since 2.2.0 (and JCR Resource 2.1.0), this method will not be invoked.
`static @Nullable String`
ResourceUtil.`getResourceSuperType(@NotNull ResourceResolver resourceResolver, String resourceType)`
Deprecated.
Use `getParentResourceType(String)`
`boolean`
ModifyingResourceProvider.`hasChanges(ResourceResolver resolver)`
Deprecated.
Are there any transient changes?
`Iterator<ValueMap>`
QueriableResourceProvider.`queryResources(ResourceResolver resolver, String query, String language)`
Deprecated.
Queries the storage using the given query formulated in the given language.
`void`
ModifyingResourceProvider.`revert(ResourceResolver resolver)`
Deprecated.
Revert all transient changes: create, delete and updates.
Constructors in org.apache.sling.api.resource with parameters of type ResourceResolver
Modifier
Constructor
Description
``
`NonExistingResource(ResourceResolver resourceResolver, String resourceURI)`
Create a new non existing resource.
``
`SyntheticResource(@NotNull ResourceResolver resourceResolver, @NotNull String path, @NotNull String resourceType)`
Creates a synthetic resource with the given `path` and `resourceType`.
``
`SyntheticResource(@NotNull ResourceResolver resourceResolver, @NotNull ResourceMetadata rm, @NotNull String resourceType)`
Creates a synthetic resource with the given `ResourceMetadata` and `resourceType`.

## Uses of ResourceResolver in org.apache.sling.api.scripting

Methods in org.apache.sling.api.scripting that return ResourceResolver
Modifier and Type
Method
Description
`@Nullable ResourceResolver`
SlingBindings.`getResourceResolver()`
Returns the `SlingBindings.RESOLVER` property if not `null` and a `ResourceResolver` instance.
Methods in org.apache.sling.api.scripting with parameters of type ResourceResolver
Modifier and Type
Method
Description
`@Nullable SlingScript`
SlingScriptResolver.`findScript(@NotNull ResourceResolver resourceResolver, @NotNull String name)`
Deprecated.
Finds the `SlingScript` for the given name.
`void`
SlingBindings.`setResourceResolver(ResourceResolver resourceResolver)`
Sets the `SlingBindings.RESOLVER` property to the provided `resourceResolver` if not `null`.

## Uses of ResourceResolver in org.apache.sling.api.security

Methods in org.apache.sling.api.security with parameters of type ResourceResolver
Modifier and Type
Method
Description
`boolean`
ResourceAccessSecurity.`canCreate(@NotNull String absPathName, @NotNull ResourceResolver resourceResolver)`
Check whether a resource can be created at the path.
`@NotNull String`
ResourceAccessSecurity.`transformQuery(@NotNull String query, @NotNull String language, @NotNull ResourceResolver resourceResolver)`
Optionally transform a query based on the current user's credentials.

## Uses of ResourceResolver in org.apache.sling.api.servlets

Methods in org.apache.sling.api.servlets with parameters of type ResourceResolver
Modifier and Type
Method
Description
`@Nullable jakarta.servlet.Servlet`
ServletResolver.`resolve(@NotNull ResourceResolver resolver, @NotNull String scriptName)`
Resolves a `jakarta.servlet.Servlet` whose `service` method may be used to handle a request.
`javax.servlet.Servlet`
ServletResolver.`resolveServlet(@NotNull ResourceResolver resolver, @NotNull String scriptName)`
Deprecated.
Use `ServletResolver.resolve(ResourceResolver, String)` instead.

## Uses of ResourceResolver in org.apache.sling.api.uri

Methods in org.apache.sling.api.uri with parameters of type ResourceResolver
Modifier and Type
Method
Description
`static @NotNull SlingUriBuilder`
SlingUriBuilder.`createFrom(@NotNull URI uri, @Nullable ResourceResolver resourceResolver)`
Creates a builder from an arbitrary URI.
`static @NotNull SlingUriBuilder`
SlingUriBuilder.`parse(@NotNull String uriStr, @Nullable ResourceResolver resourceResolver)`
Creates a builder from an arbitrary URI string.
`@NotNull SlingUriBuilder`
SlingUriBuilder.`setResourceResolver(ResourceResolver resourceResolver)`
Sets the resource resolver (required for `RequestPathInfo.getSuffixResource()`).

## Uses of ResourceResolver in org.apache.sling.api.wrappers

Classes in org.apache.sling.api.wrappers that implement ResourceResolver
Modifier and Type
Class
Description
`class`
`ResourceResolverWrapper`
The `ResourceResolverWrapper` is a wrapper for any `ResourceResolver`, delegating all method calls to the wrapped resource resolver by default.
Methods in org.apache.sling.api.wrappers that return ResourceResolver
Modifier and Type
Method
Description
`@NotNull ResourceResolver`
ResourceResolverWrapper.`clone(Map<String,Object> authenticationInfo)`
Wraps and returns the `ResourceResolver` obtained by calling `clone` on the wrapped resource resolver.
`@NotNull ResourceResolver`
JakartaToJavaxRequestWrapper.`getResourceResolver()`
`@NotNull ResourceResolver`
JavaxToJakartaRequestWrapper.`getResourceResolver()`
`ResourceResolver`
SlingHttpServletRequestWrapper.`getResourceResolver()`
Deprecated.
`ResourceResolver`
SlingJakartaHttpServletRequestWrapper.`getResourceResolver()`
Constructors in org.apache.sling.api.wrappers with parameters of type ResourceResolver
Modifier
Constructor
Description
``
`ResourceResolverWrapper(ResourceResolver resolver)`
Creates a new wrapper instance, delegating all calls to the given `resolver`.

## Uses of ResourceResolver in org.apache.sling.spi.resource.provider

Methods in org.apache.sling.spi.resource.provider that return ResourceResolver
Modifier and Type
Method
Description
`@NotNull ResourceResolver`
ResolveContext.`getResourceResolver()`
Get the current resource resolver.